
function A = bravo_fk(q)
%% Parameters
    % From DH-table
    d = [0.1074, 0, 0, -0.160, 0, -0.2235];
    a = [0.046, 0.2936 , 0.0408, 0.0408, 0.0408, 0];
    
    % To simplify the notation
    s = zeros(1,6);
    c = zeros(1,6);
    
    for i = 1:6
        s(i) = sin(q(i));
        c(i) = cos(q(i));  
    end
    %% Homogeneous transformation matrices for each link
    
    A1 = [c(1)  0     s(1)  a(1)*c(1); s(1)  0    -c(1)  a(1)*s(1);  
        0  1 0 d(1); 0 0 0 1];
    A2 = [c(2) -s(2)  0     a(2)*c(2); s(2)  c(2)  0     a(2)*s(2);  
        0  0 1 d(2); 0 0 0 1];
    A3 = [c(3)  0    -s(3)  a(3)*c(3); s(3)  0     c(3)  a(3)*s(3);  
        0 -1 0 d(3); 0 0 0 1];
    A4 = [c(4)  0    -s(4)  a(4)*c(4); s(4)  0     c(4)  a(4)*s(4);  
        0 -1 0 d(4); 0 0 0 1];
    A5 = [c(5)  0    -s(5)  a(5)*c(5); s(5)  0     c(5)  a(5)*s(5);  
        0 -1 0 d(5); 0 0 0 1];
    A6 = [c(6)  0     s(6)  a(6)*c(6); s(6)  0    -c(6)  a(6)*s(6);  
        0  1 0 d(6); 0 0 0 1];
    
    %% Forward Kinematics
    A = A1*A2*A3*A4*A5*A6;
end